[Tool] phpBB 2.0.20 to phpBB 2.0.21 Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
9
53%
Very Good
2
12%
Good
5
29%
Fair
0
No votes
Poor
1
6%
 
Total votes: 17

asinshesq
Registered User
Posts: 6266
Joined: Sun Feb 22, 2004 9:34 pm
Location: NYC
Name: Alan

Post by asinshesq » Fri Sep 01, 2006 11:00 am

ruler wrote: ok thanks for that. i have already deleted the MOD folder in phpbb/admin/mods and i havent used the install yet. hope i havent goofed this up :lol: thanks again


That's not a problem. Just get the 2.0.21 upgrade mod again and copy the install folder from it so that the install folder appears directly under your phpbb2 folder (the folder structure needs to be phpbb2/install/update_to_latest.php, but obviously if you have renamed your phpbb2 root folder to something other than phpbb2 you should use whatever your root phpbb2 name is).

When you run update_to_latest.php the way I told you, all it does is to update ypur database for 2.0.21 (which has nothing to do with the files you already modified)...so everything should work smoothly.

ruler
I've Been Banned!
Posts: 292
Joined: Sat Dec 24, 2005 1:51 am

Post by ruler » Fri Sep 01, 2006 11:05 am

This MOD has saved me so much work and time, brilliant :) i voted exelent :wink:

asinshesq
Registered User
Posts: 6266
Joined: Sun Feb 22, 2004 9:34 pm
Location: NYC
Name: Alan

Post by asinshesq » Fri Sep 01, 2006 11:05 am

ruler wrote: hey it worked :lol: thanks, now i am happy :)


Wow, if that's all it takes to make you happy your girlfriend/wife is very lucky ;)

Glad it worked.

User avatar
Lill-Micke
Registered User
Posts: 9
Joined: Sun Feb 05, 2006 7:55 am
Contact:

Post by Lill-Micke » Sat Sep 09, 2006 8:24 pm

Hi!

Can I use this update to my phpBB2 Plus 1.52?

//Micke

greengatored
Registered User
Posts: 14
Joined: Wed Aug 23, 2006 9:06 pm

Post by greengatored » Sun Sep 10, 2006 12:57 am

I've been trying to update my board for the longest to this latest version. I try this mod n make all the edit but when i run the update, it give me this error.

Code: Select all

Warning: main(./../extension.inc): failed to open stream: No such file or directory in /home/content/C/L/U/CLUBCREOLE/html/forum/update_to_latest.php on line 46

Warning: main(): Failed opening './../extension.inc' for inclusion (include_path='.:/usr/local/lib/php') in /home/content/C/L/U/CLUBCREOLE/html/forum/update_to_latest.php on line 46

Warning: main(./../config.): failed to open stream: No such file or directory in /home/content/C/L/U/CLUBCREOLE/html/forum/update_to_latest.php on line 47

Warning: main(): Failed opening './../config.' for inclusion (include_path='.:/usr/local/lib/php') in /home/content/C/L/U/CLUBCREOLE/html/forum/update_to_latest.php on line 47
Please read: INSTALL.html before attempting to update.
the board seems to be running ok now and it still says that i'm running phpBB 2.0.20. Can anyone help me with this issue?

asinshesq
Registered User
Posts: 6266
Joined: Sun Feb 22, 2004 9:34 pm
Location: NYC
Name: Alan

Post by asinshesq » Sun Sep 10, 2006 2:44 am

Where did you put the update to latest file? You are supposed. To copy the install file (with the update_to_latest.php file in it) to your rgular phpbb root directory and then browse to [your regular forum address]/install/update_to_latest.php. If you separated the update_to_latest..php file from the install directory you did it wrong and should try it again.

greengatored
Registered User
Posts: 14
Joined: Wed Aug 23, 2006 9:06 pm

Post by greengatored » Sun Sep 10, 2006 6:41 am

asinshesq wrote: Where did you put the update to latest file? You are supposed. To copy the install file (with the update_to_latest.php file in it) to your rgular phpbb root directory and then browse to [your regular forum address]/install/update_to_latest.php. If you separated the update_to_latest..php file from the install directory you did it wrong and should try it again.


thanks you for the heads' up. It's updated now.

mpolo
Registered User
Posts: 19
Joined: Fri Nov 03, 2006 12:27 am

Post by mpolo » Fri Nov 03, 2006 4:56 pm

I need to upgrade from 2.0.6 to 2.0.21. What's the procedure? Do I need to go through each one, or is the "2.0.6_to_2.0.21" file in the "2.0.21 changed files" download the ticket?

Also, I've never updated and am not exactly an expert here. Can I just copy files over manually from the update file location to the correct server location or are the file deletes that also have to happen?

Finally: subSilver has been modified on my current 2.0.6 install. How can I be sure to retain the modifications in the update process?

frank44
Registered User
Posts: 49
Joined: Wed Sep 27, 2006 2:51 pm

Post by frank44 » Sat Dec 16, 2006 9:02 pm

In sessions it's asking me to replace this:

Code: Select all

					setcookie($cookiename . '_data', serialize($sessiondata), $current_time + 31536000, $cookiepath, $cookiedomain, $cookiesecure);
					setcookie($cookiename . '_sid', $session_id, 0, $cookiepath, $cookiedomain, $cookiesecure);
				}
with this:

Code: Select all

				// Add the session_key to the userdata array if it is set
				if ( isset($sessiondata['autologinid']) && $sessiondata['autologinid'] != '' )
				{
					$userdata['session_key'] = $sessiondata['autologinid'];
				}
But I have this for the code:
setcookie($cookiename . '_data', serialize($sessiondata), $current_time + 31536000, $cookiepath, $cookiedomain, $cookiesecure);
setcookie($cookiename . '_sid', $session_id, 0, $cookiepath, $cookiedomain, $cookiesecure);

$SID = $user_id > 0 ? 'sid=' . $session_id : '';

return $userdata;


}


Should I ignore the extra red code and just add the new code after?

What exactly is happening with the new code in sessions?

buntyindia
Registered User
Posts: 69
Joined: Tue Mar 01, 2005 4:23 pm
Location: India
Contact:

Post by buntyindia » Sun Jan 07, 2007 8:55 am

Please help.

The mod installed fine without any errors but now when I access my forum I get the follow error;

Fatal error: Call to undefined function: phpbb_ltrim() in /Library/WebServer/Documents/forum/includes/functions.php on line 331

Help!

Thanks.
=====================
Knowledge Is Power Share It

S. Stevens
Registered User
Posts: 46
Joined: Tue Mar 06, 2007 12:50 am
Contact:

Re: [Tool] phpBB 2.0.20 to phpBB 2.0.21 Changes

Post by S. Stevens » Tue Jul 10, 2007 5:14 pm

Got this to go though successfully, but it's now telling me to delete install_contrib...which I can't seem to find ANYWHERE!

Someone help me as to the location of this file?

asinshesq
Registered User
Posts: 6266
Joined: Sun Feb 22, 2004 9:34 pm
Location: NYC
Name: Alan

Re: [Tool] phpBB 2.0.20 to phpBB 2.0.21 Changes

Post by asinshesq » Sun Jul 15, 2007 10:09 am

S. Stevens wrote:Got this to go though successfully, but it's now telling me to delete install_contrib...which I can't seem to find ANYWHERE!

Someone help me as to the location of this file?
Did anyone ever get back to you? If not: that message is telling you to delete the install folder and the contrib folder (if it exists) that appear in the root phpbb2 folder.

This upgrade mod comes with an install folder that you put in your root phpbb2 folder and that's what you need to delete or you won't be able to use your board. Once you delete it, you should be fine.

S. Stevens
Registered User
Posts: 46
Joined: Tue Mar 06, 2007 12:50 am
Contact:

Re: [Tool] phpBB 2.0.20 to phpBB 2.0.21 Changes

Post by S. Stevens » Mon Jul 16, 2007 9:46 pm

No, never heard back, but I figured it out. Because the message uses underscores instead of and/or, I was a bit confused. Everything is working fine. Thanks.

Post Reply

Return to “[2.0.x] MOD Database Releases”